## dde-permission-manager 1.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)
project(dde-permission-manager VERSION 1.0.0 LANGUAGES CXX)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()
add_subdirectory(src)
add_subdirectory(tests)
add_subdirectory(files)
add_subdirectory(misc)
execute_process(COMMAND bash "translate_generation.sh"
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
file(GLOB QM_FILES "translations/*.qm")
install(FILES ${QM_FILES} DESTINATION share/permission/translations)

=== files/CMakeLists.txt ===
add_subdirectory(systemd)
add_subdirectory(dbus)

=== misc/CMakeLists.txt ===
add_subdirectory(dconf)
add_subdirectory(polkit-action)

=== src/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_FLAGS "-W -Wall -fPIC -fstack-protector-all -z relro -z noexecstack -z now -pie")

find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets)
find_package(DtkCore REQUIRED)
find_package(DtkWidget REQUIRED)
find_package(PkgConfig REQUIRED)

pkg_check_modules(Polkit-qt5 REQUIRED IMPORTED_TARGET polkit-qt5-agent-1 polkit-qt5-1)

qt5_add_dbus_adaptor(ADAPTER_SOURCES
                     ../dbus/org.deepin.dde.Permission1.xml
                     impl/permission_service.h
                     PermissionService)
qt5_add_dbus_adaptor(ADAPTER_SOURCES
                     ../dbus/org.deepin.dde.Permission1.Client.xml
                     impl/permission_client.h
                     PermissionClient
                     )
qt5_add_dbus_interfaces(DBUS_INTERFACES
                     ../dbus/org.deepin.dde.Permission1.Client.xml
                     )
set(SRCS
    main.cpp
    settings.h
    settings.cpp
    permissionpolicy.h
    permissionpolicy.cpp
    permissionoption.h
    permissionoption.cpp
    impl/permission_service.h
    impl/permission_service.cpp
    impl/permission_client.h
    impl/permission_client.cpp
    widgets/clientdialog.h
    widgets/clientdialog.cpp
    utils/dconfig_settings.h
    utils/dconfig_settings.cpp
    utils/common.h
    utils/common.cpp
    utils/phase_pm_dconfig.h
    utils/phase_pm_dconfig.cpp
    ../dbus/types/permissions_info.h
    ../dbus/types/permissions_info.cpp
)

add_executable(dde-permission-manager
    ${SRCS}
    ${ADAPTER_SOURCES}
    ${DBUS_INTERFACES}
)

target_link_libraries(dde-permission-manager
    Qt5::Core
    Qt5::DBus
    Qt5::Widgets
    dtkcore
    dtkwidget
    PkgConfig::Polkit-qt5
)

install(DIRECTORY DESTINATION share/permission/policy)

install(TARGETS dde-permission-manager DESTINATION bin)

=== tests/CMakeLists.txt ===

install(DIRECTORY testgroup/ DESTINATION share/permission/policy/testgroup)

=== files/dbus/CMakeLists.txt ===
set(SERVICES
    org.deepin.dde.Permission1.service
)

install(FILES ${SERVICES}
        DESTINATION share/dbus-1/services/)

=== files/systemd/CMakeLists.txt ===
set(SERVICES
    dde-permission-manager.service
)

install(FILES ${SERVICES}
        DESTINATION lib/systemd/user/)

=== misc/dconf/CMakeLists.txt ===
set(DCONFIG_FILES
    org.deepin.dde.permission.dconfig1.json
)

install(FILES ${DCONFIG_FILES} DESTINATION /usr/share/dsg/configs/dde-permission-manager)

=== misc/polkit-action/CMakeLists.txt ===
set(POLKIT-ACTION_FILES
    org.deepin.dde.permission.modify-app-permissions.policy
)

install(FILES ${POLKIT-ACTION_FILES} DESTINATION /usr/share/polkit-1/actions/)

=== debian/changelog ===
dde-permission-manager (1.0.5) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:04:09 +0800

dde-permission-manager (1.0.4) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 禁止框弹出两次问题(Bug: 150401)
  * fix: 跳转到隐私与安全的三级界面(Bug: 150405)(Influence: 控制中心-隐私安全-页面跳转)
  * fix: 首次请求权限选择禁止后，返回特殊值，让调用方去做特殊处理(Bug: 150421)(Influence: 首次申请权限设置禁止权限)
  * fix: 处理dbus唤醒控制中心延时问题(Bug: 154337)(Influence: 控制中心-PM-隐私安全)
  * fix: 修复标准用户权限弹框出错问题(Bug: 160539)(Influence: 控制中心-PM-隐私安全)
  * fix: 处理应用首次访问系统权限没有数据问题(Bug: 154333)(Influence: 控制中心-PM-隐私安全)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 12:42:03 +0800

dde-permission-manager (1.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * 修复重新打开控制中心权限总开关不需要鉴权的问题(fix: 150487)(Influence: 权限总开关)

 -- lixi <lixi@uniontech.com>  Mon, 27 Jul 2022 18:46:06 +0800

dde-permission-manager (1.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 去掉已经没有用到的不安全的提权临时方案(Task: 108551)(Influence: 优化)
  * feat: 权限管理服务二期（对接控制中心）(Task: 152807)(Influence: 隐私与安全)
  * feat: pm服务启动调整(Task: 163291)(Influence: pm启动)
  * feat: 隐私安全弹窗文案和翻译修改(Task: 130393)(Influence: 隐私安全)
  * feat: 权限总开关根据权限的级别分开存储(Task: 130393)(Influence: 隐私与安全)

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 12:34:06 +0800

dde-permission-manager (1.0.1) unstable; urgency=medium

  * dde-flow-sprint1

 -- Tan Feng <tanfeng@uniontech.com>  Tue, 21 Jun 2022 16:43:07 +0800

dde-permission-manager (1.0.0) unstable; urgency=medium

  * Initial release

 --  <tanfeng@uniontech.com>  Wed, 30 Mar 2022 11:49:45 +0800

=== debian/control ===
Source: dde-permission-manager
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9),
   cmake,
   pkg-config,
   qtbase5-dev,
   libdtkwidget-dev,
   libpolkit-qt5-1-dev,
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-permission-manager
Architecture: any
Depends: ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: deepin permission manager
 Provides application resource management and control services for the dde desktop environment.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake
